import { ApplePayApi } from './api/applePayApi';
import { BankAccountsApi } from './api/bankAccountsApi';
import { BookingCustomAttributesApi } from './api/bookingCustomAttributesApi';
import { BookingsApi } from './api/bookingsApi';
import { CardsApi } from './api/cardsApi';
import { CashDrawersApi } from './api/cashDrawersApi';
import { CatalogApi } from './api/catalogApi';
import { CheckoutApi } from './api/checkoutApi';
import { CustomerCustomAttributesApi } from './api/customerCustomAttributesApi';
import { CustomerGroupsApi } from './api/customerGroupsApi';
import { CustomersApi } from './api/customersApi';
import { CustomerSegmentsApi } from './api/customerSegmentsApi';
import { DevicesApi } from './api/devicesApi';
import { DisputesApi } from './api/disputesApi';
import { EmployeesApi } from './api/employeesApi';
import { GiftCardActivitiesApi } from './api/giftCardActivitiesApi';
import { GiftCardsApi } from './api/giftCardsApi';
import { InventoryApi } from './api/inventoryApi';
import { InvoicesApi } from './api/invoicesApi';
import { LaborApi } from './api/laborApi';
import { LocationCustomAttributesApi } from './api/locationCustomAttributesApi';
import { LocationsApi } from './api/locationsApi';
import { LoyaltyApi } from './api/loyaltyApi';
import { MerchantCustomAttributesApi } from './api/merchantCustomAttributesApi';
import { MerchantsApi } from './api/merchantsApi';
import { MobileAuthorizationApi } from './api/mobileAuthorizationApi';
import { OAuthApi } from './api/oAuthApi';
import { OrderCustomAttributesApi } from './api/orderCustomAttributesApi';
import { OrdersApi } from './api/ordersApi';
import { PaymentsApi } from './api/paymentsApi';
import { PayoutsApi } from './api/payoutsApi';
import { RefundsApi } from './api/refundsApi';
import { SitesApi } from './api/sitesApi';
import { SnippetsApi } from './api/snippetsApi';
import { SubscriptionsApi } from './api/subscriptionsApi';
import { TeamApi } from './api/teamApi';
import { TerminalApi } from './api/terminalApi';
import { TransactionsApi } from './api/transactionsApi';
import { V1TransactionsApi } from './api/v1TransactionsApi';
import { VendorsApi } from './api/vendorsApi';
import { WebhookSubscriptionsApi } from './api/webhookSubscriptionsApi';
import { ClientInterface, SdkRequestBuilderFactory } from './clientInterface';
import { Configuration } from './configuration';
/** Current SDK version */
export declare const SDK_VERSION = "36.0.0";
export declare class Client implements ClientInterface {
    private _config;
    private _timeout;
    private _retryConfig;
    private _requestBuilderFactory;
    private _userAgent;
    readonly applePayApi: ApplePayApi;
    readonly bankAccountsApi: BankAccountsApi;
    readonly bookingCustomAttributesApi: BookingCustomAttributesApi;
    readonly bookingsApi: BookingsApi;
    readonly cardsApi: CardsApi;
    readonly cashDrawersApi: CashDrawersApi;
    readonly catalogApi: CatalogApi;
    readonly checkoutApi: CheckoutApi;
    readonly customerCustomAttributesApi: CustomerCustomAttributesApi;
    readonly customerGroupsApi: CustomerGroupsApi;
    readonly customersApi: CustomersApi;
    readonly customerSegmentsApi: CustomerSegmentsApi;
    readonly devicesApi: DevicesApi;
    readonly disputesApi: DisputesApi;
    readonly employeesApi: EmployeesApi;
    readonly giftCardActivitiesApi: GiftCardActivitiesApi;
    readonly giftCardsApi: GiftCardsApi;
    readonly inventoryApi: InventoryApi;
    readonly invoicesApi: InvoicesApi;
    readonly laborApi: LaborApi;
    readonly locationCustomAttributesApi: LocationCustomAttributesApi;
    readonly locationsApi: LocationsApi;
    readonly loyaltyApi: LoyaltyApi;
    readonly merchantCustomAttributesApi: MerchantCustomAttributesApi;
    readonly merchantsApi: MerchantsApi;
    readonly mobileAuthorizationApi: MobileAuthorizationApi;
    readonly oAuthApi: OAuthApi;
    readonly orderCustomAttributesApi: OrderCustomAttributesApi;
    readonly ordersApi: OrdersApi;
    readonly paymentsApi: PaymentsApi;
    readonly payoutsApi: PayoutsApi;
    readonly refundsApi: RefundsApi;
    readonly sitesApi: SitesApi;
    readonly snippetsApi: SnippetsApi;
    readonly subscriptionsApi: SubscriptionsApi;
    readonly teamApi: TeamApi;
    readonly terminalApi: TerminalApi;
    readonly transactionsApi: TransactionsApi;
    readonly v1TransactionsApi: V1TransactionsApi;
    readonly vendorsApi: VendorsApi;
    readonly webhookSubscriptionsApi: WebhookSubscriptionsApi;
    constructor(config?: Partial<Configuration>);
    getRequestBuilderFactory(): SdkRequestBuilderFactory;
    /**
     * Clone this client and override given configuration options
     */
    withConfiguration(config: Partial<Configuration>): Client;
}
