import { Schema } from '../schema';
import { Card } from './card';
import { Error } from './error';
/**
 * Defines the fields that are included in the response body of
 * a request to the `CreateCustomerCard` endpoint.
 * Either `errors` or `card` is present in a given response (never both).
 */
export interface CreateCustomerCardResponse {
    /** Any errors that occurred during the request. */
    errors?: Error[];
    /**
     * Represents the payment details of a card to be used for payments. These
     * details are determined by the payment token generated by Web Payments SDK.
     */
    card?: Card;
}
export declare const createCustomerCardResponseSchema: Schema<CreateCustomerCardResponse>;
