import { Schema } from '../schema';
export interface EventData {
    /** Name of the affected object’s type. */
    type?: string | null;
    /** ID of the affected object. */
    id?: string;
    /** Is true if the affected object was deleted. Otherwise absent. */
    deleted?: boolean | null;
    /** An object containing fields and values relevant to the event. Is absent if affected object was deleted. */
    object?: Record<string, unknown> | null;
}
export declare const eventDataSchema: Schema<EventData>;
