import { object, optional, Schema, string } from '../schema';

export interface InventoryAdjustmentGroup {
  /**
   * A unique ID generated by Square for the
   * `InventoryAdjustmentGroup`.
   */
  id?: string;
  /** The inventory adjustment of the composed variation. */
  rootAdjustmentId?: string;
  /** Indicates the state of a tracked item quantity in the lifecycle of goods. */
  fromState?: string;
  /** Indicates the state of a tracked item quantity in the lifecycle of goods. */
  toState?: string;
}

export const inventoryAdjustmentGroupSchema: Schema<InventoryAdjustmentGroup> = object(
  {
    id: ['id', optional(string())],
    rootAdjustmentId: ['root_adjustment_id', optional(string())],
    fromState: ['from_state', optional(string())],
    toState: ['to_state', optional(string())],
  }
);
